---
include:
  - remote: https://jobs.just-ci.dev/v6.29.4/project-automation/version-pin-check.yml
  - project: hove-ict/tools/ci/templates
    file:
      - docker/deploy/stack.yml
    ref: v1.18.1

variables:
  GIT_DEPTH: 1
  TEMPLATE_VERSION: v1.2.5
  EXTERNAL_COMPOSE_URL: https://gitlab.com/just-ci/tools/traefik/raw/$TEMPLATE_VERSION/docker-compose.yml

docker:deploy:stack:
  before_script:
    - apk add -q yq~4
    - |
      for FILE in traefik traefikfile; do
        wget https://gitlab.com/just-ci/tools/traefik/raw/${TEMPLATE_VERSION}/${FILE}.yml -qO ${FILE}-base.yml
        if test -f ${FILE}.yml; then
          yq eval-all -i 'select(fileIndex == 0) * select(fileIndex == 1)' ${FILE}-base.yml ${FILE}.yml
          echo "[+] Merged ${FILE}."
        fi
        mv ${FILE}-base.yml ${FILE}.yml
      done
    - export TRAEFIK_HASH=$(sha256sum traefik.yml | cut -c1-8)
    - export TRAEFIKFILE_HASH=$(sha256sum traefikfile.yml | cut -c1-8)

PIN-VERSION:TRAEFIK_VERSION:
  extends: .version-pin-check
  rules:
    - if: '$I_DONT_PIN_MY_VERSIONS == null && $TRAEFIK_VERSION == null'
